
GammaLib - Action #496

Feature # 490 (Closed): Avoid casts for derived classes

Rework GFitsImage interface

09/19/2012 08:56 PM - Knödlseder Jürgen

Status: Closed Start date: 09/20/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-07-00   

Description

History

#1 - 09/20/2012 05:21 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

- Start date set to 09/20/2012

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

The interface has not been reworked but automatic type casts have been introduced in the FITS HDU access methods hdu(), image(), and table(). In

that way, the access methods automatically return the derived class so that no type casting is needed anymore.

#2 - 12/04/2012 10:45 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Estimated time set to 0.00
